Subject: bug#13734: 24.3.50; ../src/lisp.h:2485:10: error: address expression must be an lvalue or a function designator

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Mar 2013 11:06:03 +0200

> Date: Sat, 02 Mar 2013 10:24:18 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> Thanks, this gave the crucial clue.  (Your configuration uses a setup
> where USE_LSB_TAG is not used, which I guess is something no one tried
> in a long time.)  There was a mismatch of parentheses in the
> definition of XPNTR in that branch, which I believe caused these
> problems.  Please try the latest trunk, I hope I fixed this in
> revision 111912.

This was meanwhile fixed on the release branch by Andreas, so I
reverted the trunk commit.  Please wait until the branch is merged
with the trunk, or copy the fix from the branch (revno 111311)
manually.